aboutsummaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorEuAndreh <eu@euandre.org>2021-01-23 20:06:20 -0300
committerEuAndreh <eu@euandre.org>2021-01-23 20:06:20 -0300
commit10dc399d51e81ff03ee2fa2ae79585b51fc7c386 (patch)
tree0d1b956949bdd4c2edfa1167df18001b548cf759 /scripts
parentAdd (but not activate) build-aux/assert-todos.sh (diff)
downloadeuandre.org-10dc399d51e81ff03ee2fa2ae79585b51fc7c386.tar.gz
euandre.org-10dc399d51e81ff03ee2fa2ae79585b51fc7c386.tar.xz
assert-spelling.sh: Exclude TODOs.html from spellchecking
Diffstat (limited to '')
-rwxr-xr-xscripts/assert-spelling.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/scripts/assert-spelling.sh b/scripts/assert-spelling.sh
index 37cec6e..401a852 100755
--- a/scripts/assert-spelling.sh
+++ b/scripts/assert-spelling.sh
@@ -15,7 +15,7 @@ OUT="$(mktemp)"
jekyll build --future --trace
# shellcheck disable=2044
for f in $(find _site -type f -name '*.html'); do
- if ! echo "$f" | grep -E '^_site/vendor/' > /dev/null; then
+ if ! echo "$f" | grep -qE '(/vendor/|TODOs.html)'; then
l="$(head -n2 "$f" | tail -n1 | cut -d\" -f2)"
CURR_DICT="$(mktemp)"
cat scripts/spelling/international.txt "scripts/spelling/$l.txt" > "$CURR_DICT"